Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.webwork
Class DefaultAjaxTextResult

    java.lang.Object
      org.directwebremoting.webwork.DefaultAjaxTextResult

All Implemented Interfaces:
  AjaxResult, AjaxTextResult

    public class DefaultAjaxTextResult

extends java.lang.Object
implements AjaxTextResult

Default implementation of `AjaxTextResult`

Author:
  Alexandru Popescu

Constructor Summary
`DefaultAjaxTextResult()` Empty constructor.
`DefaultAjaxTextResult(java.lang.String text)` Creates an `DefaultAjaxTextResult` wrapping the given string.

Method Summary
`java.lang.String` | `getText()` Gets the string representation of the rendered action result.
`void` | `setText(java.lang.String text)` Sets the wrapped string.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultAjaxTextResult

    public DefaultAjaxTextResult()

  Empty constructor.

  See Also:
    `setText(java.lang.String)`

### DefaultAjaxTextResult

    public DefaultAjaxTextResult(java.lang.String text)

  Creates an `DefaultAjaxTextResult` wrapping the given string.

  Parameters:
    `text` - the string to be wrapped

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: `AjaxTextResult`
  Gets the string representation of the rendered action result.

  Specified by:
    `getText` in interface `AjaxTextResult`
  Returns:
    string representation of rendered action
  See Also:
    `AjaxTextResult.getText()`

### setText

    public void setText(java.lang.String text)

  Sets the wrapped string.

  Parameters:
    `text` - the string to be wrapped in this result

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD